<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::disableForeignKeyConstraints(); 
        Schema::create('personnel_encadrements', function (Blueprint $table) {
          
            $table->id();
            $table->unsignedBigInteger('type_encadrement_id');
            $table->foreign('type_encadrement_id')->references('id')->on('type_encadrements')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict');
            $table->unsignedBigInteger('etablissement_id');
            $table->foreign('etablissement_id')->references('id')->on('etablissements')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->integer('nombre_personnel_encadrement'); 
            $table->unsignedBigInteger('annee_id');
            $table->foreign('annee_id')->references('id')->on('annees')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('personnel_encadrements');
    }
};
